import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid, phonenumber, smsCode) {
  const data = {
    username,
    password,
    code,
    uuid, phonenumber, smsCode
  }
  return request({
    url: '/login',
    method: 'post',
    data: data
  })
}


// 双重等保
export function commondual_auth() {
  return request({
    url: '/common/free/dual_auth',
    method: 'get',
    timeout: 20000
  })
}
// 获取登入短信
export function commonsms_login(data) {
  return request({
    url: '/app/common/sms/login',
    method: 'post',
    data: data,
    headers: {
      isToken: false
    },
  })
}
// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    method: 'get',
    timeout: 20000
  })
}